Subject: G98W on dual processors: SUMMARY

From: "Olegas Eicher-Lorka" <[email-masked]>
Date: Tue, 22 May 2001 16:07:28 +0200

Few days ago, I asked the following question:

Dear CClers,
We've been using G98W for about a year on a lowly PC. We're just about to get a dual processor system (2*PIII 933MHz) and were looking forward to fast calcuations only to be told that G98W only runs on a single processor.

Any add-ons, tips or advice?

Thanks

Dr. Olegas Eicher-Lorka
Institute of Chemistry
Akademijos 7
e-mail: [email-masked]
tel.: +(370-)2-729372

We're waiting to find out how easy it is to "format" our system so that one processor is used for only G98W and the other does everything else. As soon as we find out we'll tell you.

All in all, we didn't quite receive what we wanted but...

Thanks to all for your answers. Here are a summary of the answers, I received:

Shure: Install Linux and Jaguar on your PC, if you are looking forward
for really fast calculations. We have ported parallel Jaguar to Linux
and it will be available in the next weeks - I hope. If you are
interested ask me for more informations or check out

http://www.schrodinger.com/Products/jaguar.html

Thanks,

Gerd
 
Hi,

  If you want to run G98 in parallel on Intel, I think you
will have to switch to Linux, and compile an SMP binary.
This assumes that you buy the source code and the Portland
Group Fortran compiler which is required to compile Gaussian.
Gaussian may sell an Intel SMP binary, but I'm not sure.
As I recall, you cannot run two copies of G98W at the same
time on Windows, which would at least allow you to utilize
both processors for two concurrent jobs.  Don't take my
word on that, though, as I haven't run the Windows version.

       - John               [email-masked]

G98W cannot work parallely on Windows platform because G98W was not programmed
for parallel computations. But G98 can work parallely on dual processors Linux
systems. That is to say, you need install Linux on your new system and get a
linux version of G98.

Yubo

Dear Olegas,
I asked Gaussian (about a year ago) about running G98W on multiple
processors on a PC.  Douglas Fox responded and told me that they are working
with Portland to get a version to run parallel on Linux, and that a parallel
version for Windows would come afterwards.  I got the impression that it
would be quite a while until a parallel Windows version would be available.

Kind regards,

Gerald J. Tanoury, Ph.D.
Principal Research Chemist
Sepracor Inc.
111 Locke Dr.
Marlborough, MA  01752
Ph: (508) 357-7442
Fax: (508) 357-7808
E-mail: [email-masked]

If you're looking for a speedup from parallelization, you're not going to
get much from 2 processors.  To get much benefit you need a massively
parallel system.  Why not just run 2 jobs at once, getting essentially the
same benefit as running one in parallel.  You also have the flexibility of
being able to run one job and have a processor free for other tasks.

Jaime Martell, Ph.D.
Assistant Professor
Department of Chemistry
SUNY Potsdam
Potsdam, NY 13676
Phone: 315-267-2268
Fax:   315-267-3170
e-mail: [email-masked]
WWW: http://www2.potsdam.edu/marteljm/

If you want dual processor and parallel support for QC calculations on a
Windows PC, try pcGAMESS.  It can be located at:

http://classic.chem.msu.su/gran/gamess/index.html

Jim Kress

So maybe this explains why G98W is half the price of G98?